<?php
session_start(); 

if(isset($_SESSION['user_id'])) {

	?>
	<!doctype html>

	<html>
	<head>
		<meta charset="utf-8" />
		<link rel="stylesheet" type="text/css" href="css/weblink.css">
		<title>Simulation de base de données</title>
		<script language="javascript">
			function supprDiv(divid){
				if(document.getElementById(divid).style.display == 'none'){
					document.getElementById(divid).style.display = 'block';
					document.getElementById("network").style.display = 'none';
					document.getElementById("hide").style.display = 'none';
				}else{
					document.getElementById(divid).style.display = 'none';
					document.getElementById("network").style.display = 'block';
					document.getElementById("hide").style.display = 'inline';
				}
			}
		</script>
	</head>

	<body>

	<?php
	require_once("db/connectbdd.php");

	// Récupération des données
	$user_id = $_SESSION['user_id'];
	$user_info = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT musique, sport FROM weblink_user WHERE user_id = '$user_id'"));
	$_SESSION['music'] = $user_info['musique'];
	$_SESSION['sport'] = $user_info['sport'];
	$img = mysqli_query($bdd,"SELECT cryptimg FROM weblink_img WHERE user_id = '$user_id' AND edit ='1'");
	$img_info = mysqli_fetch_assoc($img);
	$_SESSION['image'] = $img_info['cryptimg'];

	// Traitement pour affichages
	$selectmusban = $bdd->query("SELECT * FROM weblink_pub WHERE keyword = '".$_SESSION['music']."' AND type = 'banni'");
	$selectspobor = $bdd->query("SELECT * FROM weblink_pub WHERE keyword = '".$_SESSION['sport']."' AND type = 'right'");
	$selectusermusic = $bdd->query("SELECT * FROM weblink_user WHERE nom != '".$_SESSION['nom']."' AND sexe != '".$_SESSION['sexe']."' AND musique = '".$_SESSION['music']."' AND (instance_id = '".$_SESSION['instance']."' OR instance_id = 0) ORDER BY RAND() LIMIT 1");
	$repmusban = mysqli_fetch_assoc($selectmusban);
	$repspobor = mysqli_fetch_assoc($selectspobor);
	$repusermusic = mysqli_fetch_assoc($selectusermusic);
	$_SESSION['nom3'] = $repusermusic['nom'];
	$_SESSION['prenom3'] = $repusermusic['prenom'];
	$_SESSION['sexe3'] = $repusermusic['sexe'];
	?>

	<div id="page">
		<div id="teteleft"><b>- l'interface publique -</b></div>
		<div id="teteright"><b>- la base de données -</b></div>
		<div id="gauche">
			<img class="banniere" src="<?php echo $repmusban['image_pub']; ?>" />
			<?php 
			if($_SESSION['image']!="") {
				include('img/resize.php'); 
			}
			?>
			
			<p style="padding-left:30px;padding-right:10px;"><b>Salut <?php echo $_SESSION['pseudo']; ?> !</b></p>
			<p style="padding-left:20px;padding-right:10px;">Merci de continuer à venir sur le réseau social Weblink&nbsp;!</p><p style="padding-left:20px;padding-right:10px;">Tu t'appelles <?php echo $_SESSION['prenom']. ' ' .$_SESSION['nom']; ?>
			<?php
			if($_SESSION['naissance'] == "0000-00-00") {
				echo "!";
			}
			else {
				echo "et tu as ";
				echo $_SESSION['age'];
				echo " ans.";
			}
			?>
			</p>
			<?php
			// Pour passer à la suite quand réponses aux questions
			$quests3v_info = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT table3 FROM weblink_user WHERE user_id = '$user_id'"));
			if($quests3v_info['table3'] == "") { // si pas encore répondu
				// Pour arrêter à deux changements :
				$img_verif_nb = mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM weblink_img WHERE user_id = '".$user_id."'"));
				if($img_verif_nb < 2) {
					if(isset($_SESSION['img_error'])) {
						echo '<p class="signal" style="margin-bottom:-20px;">'.$_SESSION['img_error'].'</p>';
						unset($_SESSION['img_error']);
					}
					echo '<hr><p class="profil"><b>Pour comprendre le fonctionnement, change ton image de profil :</b></p>';
					echo '<div class="imgplus imgplusbis">
					<form method="post" enctype="multipart/form-data" action="db/imagechange.php" style="padding-left:10px;">
					<div>
						<label for="image_uploads"><b>Sélectionner une nouvelle image de profil - 5 Mo max.</b></label>
						<input type="file" id="image_uploads" name="fichier" accept=".jpg, .jpeg, .png" multiple>
					</div>
					<div class="preview">
					    <p>Aucun fichier sélectionné<br>pour le moment</p>
					</div>
					<div style="float:right;"> <button>Valider l\'image choisie</button></div>
					</form></div>
					<script language="javascript" src="js/img_func.js"></script>';
				}				
			}
			else { // sinon passage à suppression du compte
				if(isset($_POST['sup_submit'])) {
					$user_id = $_SESSION['user_id'];
					$user_inact = mysqli_query($bdd,"UPDATE weblink_user SET actif = '0' WHERE user_id = '".$user_id."'");
					// On désactive les images
					mysqli_query($bdd,"UPDATE weblink_img SET edit = '0' WHERE user_id = '".$user_id."'");
					echo '<script language="Javascript">
					<!--
					document.location.replace("bdd_suppr.php");
					// -->
					</script>';
				}
				echo '<br><hr><p class="suppr" id="hide"><b>Fini de jouer... Supprimons le compte !</b><br><a onmouseover="this.style.textDecoration=\'none\';" onmouseout="this.style.textDecoration=\'none\';" onmousedown="supprDiv(\'divsuppr\');"><input type="submit" name="img_submit" value="Supprimer mon compte sur Weblink" /></a></p>';
				echo '<div  id="divsuppr" style="display:none;">
					<p class="delete"><b>En réalité, ce n\'est pas si simple de se désinscrire</b>, c\'est même souvent un vrai labyrinthe, quel que soit le site, avant de trouver le formulaire. Le site <a href="http://justdelete.me" target="_blank">Justdelete.me</a> permet de connaître le degré de difficulté, et les méthodes.<br><b>Mais admettons que ce soit simple, dans le cas de <i>Weblink</i>, et regardons ce qui se passe...</b></p>
					<form method="post" name="form" action="">
					<input type="submit" name="sup_submit" value="Supprimer mon compte sur Weblink" />
					</form>
				</div>
				<p class="network" id="network"><img src="img/networks.jpg" /></p>';
			}
			/*if($img_verif_nb > 1) {
				echo "<div class='suggest'><p>Peut-être connais-tu<br><b>";
				echo $_SESSION['prenom3']. ' ' .$_SESSION['nom3']. ' ?</b><br>';
				if($_SESSION['sexe3'] == "M")
					{
					echo "Il";
					}
					else if($_SESSION['sexe3'] == "F")
					{
					echo "Elle";
					}
				echo " aime aussi ";
				if($_SESSION['music'] == "pop")
					{
					echo "la ";
					}
					else
					{
					echo "le ";
					}
				echo $_SESSION['music'];
				echo '</p></div>';
			}*/
			?>
			<a href="db/deconnect.php"><img class="exit" src="img/exit.png" /></a>
			<?php
			if(@$img_verif_nb > 1) {
				echo '<img class="pubright" src="'.$repspobor['image_pub'].'" />';
			}
			?>
		</div>
		<div id="droite"><iframe src="bdd_right3.php" width="500" frameborder="0" height="550"></iframe></div>
	</div>
	<?php
	if(@$img_verif_nb > 1) {
		include('quest/quests3.php');
	}
	?>
	</body>
	</html>
<?php
}
else {
	echo '<script language="Javascript">
	<!--
	document.location.replace("index.php");
	// -->
	</script>';
}
?>
