<?php
session_start();
if(isset($_SESSION['admin'])) {
	include("db/connectbdd.php");
	?>

	<!doctype html>

	<html>
	<head>
		<meta charset="utf-8" />
		<link rel="stylesheet" type="text/css" href="css/weblink.css">
		<title>Simulation de média social en ligne</title>
	</head>

	<body>

	<div id="page" class="administration"><div id="gauche" style="height:auto;">
	<?php
	echo '<p><b>Administration de l\'instance n° '.$_SESSION['instance_admin'].'</b></p><hr size="1" color="#000">';
	//Traitement du formulaire
	//Pour la clé d'identification :
	if(isset($_POST['cle'])) {
		do {
			$clerand = rand(10000,99999);
			$check_cle = mysqli_num_rows(mysqli_query($bdd,"SELECT cle FROM weblink_param WHERE cle = '".$clerand."'"));
		}
		while($check_cle==1);
		mysqli_query($bdd,"UPDATE weblink_param SET cle = '".$clerand."' WHERE instance_id = '".$_SESSION['instance_admin']."'");
	}
	//Pour le code de suppression :
	if(isset($_POST['codesuppr'])) {
		do {
			$cledel = rand(10000,99999);
			$check_cle = mysqli_num_rows(mysqli_query($bdd,"SELECT cle_delete FROM weblink_param WHERE cle = '".$cledel."'"));
		}
		while($check_cle==1);
		mysqli_query($bdd,"UPDATE weblink_param SET cle_delete = '".$cledel."' WHERE instance_id = '".$_SESSION['instance_admin']."'");
	}
	// Pour les inscriptions :
	if(isset($_POST['active'])) {
		mysqli_query($bdd,"UPDATE weblink_param SET active_inscrits = '".$_POST['actif']."' WHERE instance_id = '".$_SESSION['instance_admin']."'") or die(mysqli_error($bdd));
	}
	if(isset($_POST['vider'])) {
		$log2 = mysqli_real_escape_string($bdd,$_POST['mdp_admin']);
		$admin_verif = mysqli_query($bdd,"SELECT * FROM weblink_param WHERE mdp_admin = PASSWORD('$log2') AND instance_id = '".$_SESSION['instance_admin']."'");
		$admin_exist = mysqli_num_rows($admin_verif);
		if($admin_exist==1) {
			$imgdel = mysqli_query($bdd,"SELECT img.image, img.cryptimg, img.user_id, user.user_id, user.instance_id FROM weblink_img img INNER JOIN weblink_user user ON user.user_id = img.user_id WHERE user.instance_id = '".$_SESSION['instance_admin']."'");
			$rep_img = "img/img_user";
			$rep_img_open = opendir($rep_img);
			$rep_img_resize = "img/img_user/resize";
			$rep_img_resize_open = opendir($rep_img_resize);
			while($imgdel_infos=mysqli_fetch_assoc($imgdel)) {
				$chemin1 = $rep_img."/".$imgdel_infos['cryptimg'];
				unlink($chemin1);
				$chemin2 = $rep_img_resize."/".$imgdel_infos['cryptimg'];
				unlink($chemin2);
			}
			mysqli_query($bdd,"DELETE image.* FROM weblink_img image INNER JOIN weblink_user user ON user.user_id = image.user_id WHERE user.instance_id = '".$_SESSION['instance_admin']."'");
			//sélection et suppression du user
			mysqli_query($bdd,"DELETE FROM weblink_user WHERE instance_id = '".$_SESSION['instance_admin']."' AND instance_id!=0");
		}
	}
	// Pour l'année de naissance' : 
	if(isset($_POST['naiss'])) {
		mysqli_query($bdd,"UPDATE weblink_param SET annee_naissance = '".$_POST['naissa']."' WHERE instance_id = '".$_SESSION['instance_admin']."'");
	}
	// Pour le mot de passe : 
	if(isset($_POST['mdp'])) {
		$mdp_admin = mysqli_real_escape_string($bdd,$_POST['mdp_admin']);
		mysqli_query($bdd,"UPDATE weblink_param SET mdp_admin = PASSWORD('$mdp_admin') WHERE instance_id = '".$_SESSION['instance_admin']."'");
	}
	$admin_info = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT * FROM weblink_param WHERE instance_id = '".$_SESSION['instance_admin']."'"));
	echo '<p>Login : '.$admin_info['login_admin'].' - Nombre maximal : '.$admin_info['nb_inscrits'].'<br>Clé d\'identification : '.$admin_info['cle'].' - Code de suppression : '.$admin_info['cle_delete'].'';
	if($_SESSION['instance_admin']!=1) {
		echo '<br>Date d\'expiration : '.$admin_info['date_fin'].'';
	}
	echo '</p>';
	//FORMULAIRE
	echo '<p style=padding-left:5px;><a href="db/deconnect.php" style="color:#000;font-size:1em;display:inline;">Se déconnecter</a> - <a href="index.php" style="color:#000;font-size:1em;display:inline;">Retourner à l\'accueil</a></p><hr size="1" color="#000">';
	// pour changer la clé d'identification :
	echo '<form method="POST" name="formcle" action="">
		<input type="submit" name="cle" style="max-width:400px;" value="Changer la clé d\'identification" />
	</form><hr size="1" color="#000">';
	// pour changer le code de suppression :
	echo '<form method="POST" name="formcode" action="">
		<input type="submit" name="codesuppr" style="max-width:400px;" value="Changer le code de suppression" />
	</form><hr size="1" color="#000">';
	// pour activer ou désactiver les inscriptions :
	echo '<form method="POST" name="formactif" action="" style=padding-left:30px;">
		<br />Inscriptions : <input type="radio" name="actif" value="1" ';
		$recup_infos = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT active_inscrits FROM weblink_param WHERE instance_id = '".$_SESSION['instance_admin']."'"));
		if($recup_infos['active_inscrits']=='1') {
			echo 'checked';
		}
		echo ' />activées <input type="radio" name="actif" value="0" ';
		if($recup_infos['active_inscrits']=='0') {
			echo 'checked';
		}
		echo ' />désactivées <input type="submit" name="active" value="Enregistrer" />
	</form><hr size="1" color="#000">';
	//pour changer l'année de naissance
	$naiss = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT annee_naissance FROM weblink_param WHERE instance_id = '".$_SESSION['instance_admin']."'"));
	echo '<p style=padding-left:10px;>Année de naissance des faux élèves :
	<form method="POST" name="formnaissance" action="" style=padding-left:30px;">
		<br />Année de naissance : <input type="number" name="naissa" min="1900" maxlength="4" value="'.$naiss['annee_naissance'].'" /> <input type="submit" name="naiss" value="Valider" />
	</form></p><hr size="1" color="#000">';
	// pour vider les infos des users et images dans l'instance :
	echo '<p style=padding-left:10px;>Vider les données et images pour l\'instance :
	<form method="POST" name="formactif" action="" style=padding-left:30px;">
		<br />Mot de passe admin : <input type="password" name="mdp_admin" maxlength="12" /> <input type="submit" name="vider" value="Vider" />
	</form></p><hr size="1" color="#000">';
	// pour changer le mot de passe de l'admin :
	echo '<p style=padding-left:10px;>Changer le mot de passe de l\'instance :
	<form method="POST" name="formmdp" action="" style=padding-left:30px;">
		<br />Nouveau mot de passe : <input type="password" name="mdp_admin" maxlength="12" /> <input type="submit" name="mdp" value="Valider" />
	</form></p>';
	?>
	
	</div>
	<?php
	if($_SESSION['instance_admin']==1) {
		echo '<div id="droite">
		<p><b>Administration générale</b></p><hr size="1" color="#000">';
		
		// Création d'une instance :
		if(isset($_POST['newinstance'])) {
			if($_POST['login_ins']!=""&&$_POST['mdp_ins']!=""&&$_POST['nb_ins']!="") {
				$login = mysqli_real_escape_string($bdd,$_POST['login_ins']);
				$check = mysqli_num_rows(mysqli_query($bdd,"SELECT login_admin FROM weblink_param WHERE login_admin = '".$login."'"));
				if($check==0) {
					$mdp_admin = mysqli_real_escape_string($bdd,$_POST['mdp_ins']);
					$nbins = $_POST['nb_ins'];
					$date = date('Y-m-d', strtotime('+2 month'));
					do {
						$clerand = rand(10000,99999);
						$check_cle = mysqli_num_rows(mysqli_query($bdd,"SELECT cle FROM weblink_param WHERE cle = '".$clerand."'"));
					}
					while($check_cle==1);
					do {
						$cle_delete = rand(10000,99999);
						$check_cles = mysqli_num_rows(mysqli_query($bdd,"SELECT cle FROM weblink_param WHERE cle_delete = '".$cle_delete."'"));
					}
					while($check_cles==1);
					mysqli_query($bdd,"INSERT INTO weblink_param (login_admin, mdp_admin, cle, active_inscrits, nb_inscrits, instance_id, cle_delete, date_fin, annee_naissance) VALUES('$login',PASSWORD('$mdp_admin'),'$clerand','1','$nbins', '', '$cle_delete', '$date', '".(date('Y')-15)."')");
				}
			}		
		}
		echo '<p>Création d\'une instance :</p>';
		echo '<form method="POST" name="newinstance" action="">
		Login : <input type="text" name="login_ins" /><br>Mot de passe : <input type="password" name="mdp_ins" maxlength="8" /><br>Nb d\'inscrits : <input type="number" name="nb_ins" value="50" /><br><input type="submit" name="newinstance" value="Valider" /><hr size="1" color="#000"></form>';

		// Liste et options des instances :
		if(isset($_POST['nbmax'])) {
			mysqli_query($bdd,"UPDATE weblink_param SET nb_inscrits = '".$_POST['upnbmax']."'");
		}
		echo '<div class="liste_instances">';
		echo '<table>';
		echo '<tr><th>Ins.</th><th>Login</th><th>Nb max</th><th>Date exp.</th><th>Suppr</th><th>Prol.</th><th>Users</th><th>Img</th></tr>';
		$instances = mysqli_query($bdd,"SELECT * FROM weblink_param");
		foreach($instances as $eachins) {
			if(isset($_POST['chtnb'.$eachins['instance_id']])) {
				mysqli_query($bdd,"UPDATE weblink_param SET nb_inscrits = '".$_POST['nbins'.$eachins['instance_id']]."' WHERE instance_id = '".$eachins['instance_id']."'");
				echo '<script language="Javascript">
				<!--
				document.location.replace("admin.php");
				// -->
				</script>';
			}
			if(isset($_POST['supprins'.$eachins['instance_id']])) {
				$imgdel = mysqli_query($bdd,"SELECT img.image, img.cryptimg, img.user_id, user.user_id, user.instance_id FROM weblink_img img INNER JOIN weblink_user user ON user.user_id = img.user_id WHERE user.instance_id = '".$eachins['instance_id']."'");
				$rep_img = "img/img_user";
				$rep_img_open = opendir($rep_img);
				$rep_img_resize = "img/img_user/resize";
				$rep_img_resize_open = opendir($rep_img_resize);
				while($imgdel_infos=mysqli_fetch_assoc($imgdel)) {
					$chemin1 = $rep_img."/".$imgdel_infos['cryptimg'];
					unlink($chemin1);
					$chemin2 = $rep_img_resize."/".$imgdel_infos['cryptimg'];
					unlink($chemin2);
				}
				mysqli_query($bdd,"DELETE image.* FROM weblink_img image INNER JOIN weblink_user user ON user.user_id = image.user_id WHERE user.instance_id = '".$eachins['instance_id']."'");
				//sélection et suppression du user
				mysqli_query($bdd,"DELETE FROM weblink_user WHERE instance_id = '".$eachins['instance_id']."' AND instance_id!=0");
				mysqli_query($bdd,"DELETE FROM weblink_param WHERE instance_id = '".$eachins['instance_id']."'");
				echo '<script language="Javascript">
				<!--
				document.location.replace("admin.php");
				// -->
				</script>';
			}
			if(isset($_POST['prolongins'.$eachins['instance_id']])) {
				//durée à rajouter : 2 mois;
				$duree = 2;
				//la première étape est de transformer cette date en timestamp
				$dateDepartTimestamp = strtotime($eachins['date_fin']);
				echo $dateDepartTimestamp;
				//on calcule la date de fin
				$dateFin = date('Y-m-d', strtotime('+'.$duree.' month', $dateDepartTimestamp));
				mysqli_query($bdd,"UPDATE weblink_param SET date_fin = '".$dateFin."' WHERE instance_id = '".$eachins['instance_id']."'");
				echo '<script language="Javascript">
				<!--
				document.location.replace("admin.php");
				// -->
				</script>';
			}
			echo '<form name="chgt'.$eachins['instance_id'].'" method="POST" action=""><tr><td>'.$eachins['instance_id'].'</td><td>'.$eachins['login_admin'].'</td>
			<td><input type="number" style="max-width:40px;" name="nbins'.$eachins['instance_id'].'" value="'.$eachins['nb_inscrits'].'" /> <input type="submit" name="chtnb'.$eachins['instance_id'].'" value=">>>" /></td>
			<td>'.$eachins['date_fin'].'</td><td>';
				if($eachins['instance_id']!=1) {
					echo '<input type="submit" name="supprins'.$eachins['instance_id'].'" value="Suppr." />'; }
				echo '</td><td>';
				if($eachins['instance_id']!=1) {
					echo '<input type="submit" name="prolongins'.$eachins['instance_id'].'" value="Prol." />'; }
				echo '</td>';
				$users_nb = mysqli_num_rows(mysqli_query($bdd,'SELECT * FROM weblink_user WHERE instance_id = "'.$eachins['instance_id'].'"'));
				$img_nb = mysqli_num_rows(mysqli_query($bdd,'SELECT img.img_id FROM weblink_img img INNER JOIN weblink_user user ON user.user_id = img.user_id WHERE user.instance_id = "'.$eachins['instance_id'].'"'));
				echo '<td>'.$users_nb.'</td><td>'.$img_nb.'</td></form>';
			echo '<br>';
		}
		echo '</table>';
		echo '</div><hr size="1" color="#000">';
		
		// Pour supprimer toutes les données :
		if(isset($_POST['allvider'])) {
			$log2 = mysqli_real_escape_string($bdd,$_POST['mdp_admin']);
			$admin_verif = mysqli_query($bdd,"SELECT * FROM weblink_param WHERE mdp_admin = PASSWORD('$log2') AND instance_id = '".$_SESSION['instance_admin']."'");
			$admin_exist = mysqli_num_rows($admin_verif);
			if($admin_exist==1) {
				$imgdel = mysqli_query($bdd,"SELECT * FROM weblink_img");
				$rep_img = "img/img_user";
				$rep_img_open = opendir($rep_img);
				$rep_img_resize = "img/img_user/resize";
				$rep_img_resize_open = opendir($rep_img_resize);
				while($imgdel_infos=mysqli_fetch_assoc($imgdel)) {
					$chemin1 = $rep_img."/".$imgdel_infos['cryptimg'];
					unlink($chemin1);
					$chemin2 = $rep_img_resize."/".$imgdel_infos['cryptimg'];
					unlink($chemin2);
				}
				mysqli_query($bdd,"DELETE FROM weblink_img");
				//sélection et suppression du user
				mysqli_query($bdd,"DELETE FROM weblink_user WHERE user_id > 8 AND instance_id!=0");
			}
			echo '<script language="Javascript">
			<!--
			document.location.replace("admin.php");
			// -->
			</script>';
		}
		// pour vider les infos des users et images :
		echo '<p style=padding-left:10px;>Tout vider (base user et images) :
		<form method="POST" name="formactif" action="" style=padding-left:30px;">
			<br />Mot de passe admin : <input type="password" name="mdp_admin" maxlength="12" /> <input type="submit" name="allvider" value="Vider" />
		</form></p>';
		
		echo'</div>';
	}
	else {
		echo '<div id="droite">
		<p><b>Charte d\'administration d\'instance</b></p><hr size="1" color="#000">';
		echo '<p class="charte">Vous êtes administratrice ou administrateur d\'une instance. Celle-ci est proposée sur un temps limité, qui peut être prolongé. Le nombre d\'inscriptions est fixé initialement, il ne peut être modifier que par l\'administrateur principal de <i>Weblink</i>.<br>&nbsp; <br>Merci de veiller à ce que les données soient régulièrement supprimées (en fin de chaque séance par exemple). Merci aussi, après chaque utilisation, de modifier la clé d\'identification permettant la création d\'un compte.<br>&nbsp; <br>L\'administrateur principal de <i>Weblink</i> se réserve la possibilité de faire régulièrement du ménage, sans que <i>Weblink</i> soit fait pour stocker les données.<br>&nbsp; <br>Au sujet des données à caractère personnel, comme les utilisateurs peuvent être susceptibles de renseigner des informations personnelles, une déclaration CNIL et/ou enregistrement au registre RGPD doivent être effectués, quand bien même aucun traitement de ces données n\'est effectué par un tiers.</p>';
		echo '</div>';
	}
	?>
	</div>

	<div id="admintable">
		<?php
		$repuse = $bdd->query('SELECT * FROM weblink_user WHERE instance_id = "'.$_SESSION['instance_admin'].'" ORDER BY user_id DESC');
		$repimg = $bdd->query('SELECT img.img_id, img.image, img.cryptimg, img.edit, img.user_id, user.user_id, user.instance_id, user.pseudo FROM weblink_img img INNER JOIN weblink_user user ON user.user_id = img.user_id WHERE user.instance_id = "'.$_SESSION['instance_admin'].'" ORDER BY img_id DESC');
		
		?>
		<p><b>Utilisateurs dans l'instance</b> :</p>
		<center><table class="bdd"><tr><td class="tit">Id.</td><td class="tit">Actif</td><td class="tit">Pseudo</td><td class="tit">Nom</td><td class="tit">Prénom</td><td class="tit">Naissance</td><td class="tit">Sexe</td><td class="tit">Sport</td><td class="tit">Musique</td></tr>

		<?php
		while($donuse = mysqli_fetch_assoc($repuse))
		{
			?>
				<tr><td><?php echo $donuse['user_id']; ?></td>
				<td><?php echo $donuse['actif']; ?></td>
				<td><?php echo $donuse['pseudo']; ?></td>
				<td><?php echo $donuse['nom']; ?></td>
				<td><?php echo $donuse['prenom']; ?></td>
				<td><?php echo $donuse['naissance']; ?></td>
				<td><?php echo $donuse['sexe']; ?></td>
				<td><?php echo $donuse['sport']; ?></td>
				<td><?php echo $donuse['musique']; ?></td></tr>
				
			<?php
		}

		?>
		</table></center>
		<p><b>Images dans l'instance :</b></p>
		<center><table class="bdd"><tr><td class="tit">img_id</td><td class="tit">pseudo</td><td class="tit">image</td><td class="tit">edit</td><td class="tit">user_id</td></tr>
		<?php
		while($donimg = mysqli_fetch_assoc($repimg))
		{
			echo '
				<tr><td>'.$donimg['img_id'].'</td>
				<td>'.$donimg['pseudo'].'</td>
				<td><a href="img/img_user/'.$donimg['cryptimg'].'">'.$donimg['image'].'</a></td>
				<td>'.$donimg['edit'].'</td>
				<td>'.$donimg['user_id'].'</td>
				</tr>
			';
		}

		?>
		</table></center>
	</div>

	</body>
	</html>
	<?php
}
else {
	echo '<script language="Javascript">
	<!--
	document.location.replace("index.php");
	// -->
	</script>';
}
?>
